
ifeq ($(shell hostname),melon)
  OPENEDA_DIR     = /dsk/l2/fossEDA
else
  OPENEDA_DIR     = /dsk/l1/fossEDA
endif
RST_DIR         = $(OPENEDA_DIR)/etc/rst
STYLESHEETS_DIR =  $(RST_DIR)/css
STYLESHEET1     = $(STYLESHEETS_DIR)/bootstrap.css
STYLESHEET2     = $(STYLESHEETS_DIR)/fonts.css
STYLESHEET3     = $(STYLESHEETS_DIR)/nest.css
STYLESHEET4     = $(STYLESHEETS_DIR)/pygment.css
STYLESHEET5     = $(STYLESHEETS_DIR)/coriolis.css
STYLESHEETS     = $(STYLESHEET1),$(STYLESHEET2),$(STYLESHEET3),$(STYLESHEET4),$(STYLESHEET5)

all:  html pdf
pdf:  $(DOCUMENT).pdf
html: $(DOCUMENT).html

$(DOCUMENT).html: $(RST_DIR)/CIAN.css $(DOCUMENT).rst
	rst2html --embed-stylesheet \
	         --stylesheet=$(STYLESHEETS) \
	         ./$(DOCUMENT).rst > $(DOCUMENT).html

$(DOCUMENT).pdf: $(RST_DIR)/CIAN-ReST.tex $(DOCUMENT).rst
	rst2latex --use-latex-toc \
	         --stylesheet=$(RST_DIR)/CIAN-ReST.tex \
	         ./$(DOCUMENT).rst > $(DOCUMENT).tex
	export TEXINPUTS=$(OPENEDA_DIR)/etc/rst/images:$${TEXINPUTS}; \
	echo "TEXINPUT=$${TEXINPUTS}"; \
	pdflatex $(DOCUMENT); \
	pdflatex $(DOCUMENT)
	@echo "Removing intermediate files."
	rm -f $(DOCUMENT).tex *.toc *.aux *.log *.dvi


clean:
	rm -f $(DOCUMENT).html $(DOCUMENT).pdf

